Subject: Touring UK

From: [email-masked] (Dan Hughes)
Date: Tue, 19 Mar 1996 15:27:34 -0500

To all:
Lucky me! For two weeks in April I will be visiting the UK. I would
appreciate any suggestions as to places to visit for blacksmithing,
industrial heritage, cutlery, iron making, etc. related museums, galleries,
or exhibitions. If you have first hand knowledge and can recommend the
visit then great! If you only know of the site from word of mouth or other
source and I visit them I will report back to the list what I find. I did
contact someone in the British Artist Blacksmiths Assoc. but I did get any
repy as yet. Thanks if you respond.